Skip to main content
POST
/
v1
/
public
/
offers
/
{slug}
/
apply
Apply offer
curl --request POST \
  --url https://{operatorDomain}/v1/public/offers/{slug}/apply \
  --header 'Content-Type: application/json' \
  --data '
{
  "productId": "<string>",
  "departureId": "<string>",
  "pax": [
    {}
  ],
  "currency": "<string>",
  "market": "<string>"
}
'
{
  "id": "offer_01h...",
  "slug": "<string>",
  "title": "<string>",
  "discountType": "percentage",
  "value": 123
}

Path Parameters

slug
string
required

Body

application/json
productId
string | null
departureId
string | null
pax
object[]
currency
string | null
market
string | null

Response

200 - application/json

Applied offer

id
string
Example:

"offer_01h..."

slug
string
title
string
discountType
string
Example:

"percentage"

value
number